Rysunek roboczy: Adnotacja wieloliniowa

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Text and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский

Draft Text.svg Rysunek roboczy: Tekst

Lokalizacja w menu
Adnotacja → Tekst
Środowisko pracy
Rysunek roboczy, Architektura
Domyślny skrót
T E
Wprowadzono w wersji
0.7
Zobacz także
Etykieta, Kształt z tekstu

Opis

Narzędzie Draft Text.svg Adnotacja wieloliniowa wstawia wielowierszowe pole tekstowe w wybranym miejscu.

Aby wstawić element tekstowy ze strzałką, użyj przycisku Rysunek roboczy: Etykieta zamiast tego polecenia.

Draft Text example.png

Pojedynczy punkt wymagany przy ustawianiu tekstu

Użycie

Zobacz również: Rysunek roboczy: Tacka narzędziowa oraz Rysunek roboczy: Przyciąganie.

  1. Istnieje kilka sposobów na wywołanie polecenia:
    • Naciśnij przycisk Draft Text.svg Adnotacja wieloliniowa,
    • Wybierz opcję z menu Adnotacje → Draft Text.svg Tekst,
    • Użyj skrótu klawiaturowego: T a następnie E.
  2. Otwiera się panel zadań Tekst. Zobacz sekcję Opcje, aby uzyskać więcej informacji.
  3. Kliknij punkt w oknie widoku 3D, lub wpisz współrzędne i naciśnij przycisk Draft AddPoint.svg Dodaj punkt.
  4. Wprowadź żądany tekst, naciskając Enter między każdą linijką.
  5. Naciśnij Enter dwukrotnie, lub naciśnij przycisk Button valid.svg. Utwórz tekst aby zakończyć operację.

Opcje

Skróty klawiaturowe jedno znakowe dostępne w panelu zadań można zmienić. Zobacz stronę Preferencji. Skróty wymienione tutaj są skrótami domyślnymi.

  • Aby ręcznie wprowadzić współrzędne, po prostu wprowadź liczby, a następnie naciśnij klawisz Enter pomiędzy każdą składową X, Y i Z. Możesz wcisnąć przycisk Draft AddPoint.svg dodaj punkt, gdy już wprowadzisz żądane wartości. Zaleca się wysunięcie kursora poza okno widoku 3D przed wprowadzeniem współrzędnych.
  • Pole wyboru Względny nie ma zastosowania dla tego polecenia.
  • Naciśnij G lub kliknij pole wyboru Globalnie, aby przełączyć tryb globalny. Jeśli tryb globalny jest włączony, współrzędne są względne w stosunku do globalnego układu współrzędnych, w przeciwnym razie są względne w stosunku do układu współrzędnych płaszczyznay roboczej. dostępne w wersji 0.20
  • Zaznacz pole wyboru Kontynuuj na drugim panelu zadań, aby włączyć tryb kontynuacji. Skrót klawiaturowy T nie działa. Jeśli tryb kontynuacji jest włączony, polecenie zostanie uruchomione ponownie po zakończeniu, umożliwiając dalsze tworzenie tekstów.
  • Naciśnij S, aby włączyć lub wyłączyć przyciąganie.
  • Naciśnij klawisz Esc lub przycisk Zamknij, aby przerwać bieżące polecenie.

Uwagi

Właściwości

Zobacz również stronę: Edytor właściwości.

Obiekt Adnotacja wieloliniowa wywodzi się z obiektu App: FeaturePython i dziedziczy wszystkie jego właściwości. Poniższe właściwości są dodatkowe, chyba że zaznaczono inaczej.

Dane

Podstawowe

  • DaneUmieszczenie (Placement): określa położenie tekstu w oknie widoku 3D. Zobacz Umiejscowienie.
  • DaneTekst (StringList): określa zawartość tekstu. Każda pozycja na liście reprezentuje nowy wiersz tekstu.

Widok

Adnotacja

  • WidokStyl adnotacji (Enumeration): określa styl adnotacji zastosowany do tekstu. Zobacz stronę Edytor stylów adnotacji.
  • WidokMnożnik skali (Float): określa ogólny współczynnik skalowania zastosowany do tekstu.

Opcje wyświetlania

  • WidokTryb wyświetlania (Enumeration): określa sposób wyświetlania tekstu. Jeśli wartością jest tekst 3D, tekst będzie wyświetlany w płaszczyźnie zdefiniowanej przez jego DaneUniejscowienie. Jeśli jest to tekst 2D, tekst będzie zawsze skierowany w stronę patrzącego. Jest to właściwość dziedziczona.

Grafika

  • WidokKolor linii (Color): nie wykorzystano.
  • WidokSzerokość linii (Float): nie wykorzystano.

Tekst

  • WidokNazwa czcionki: określa czcionkę, której należy używać do rysowania tekstu. Może to być nazwa czcionki, np. Arial, styl domyślny, np. sans, serif lub mono, rodzina Arial, Helvetica, sans lub nazwa w stylu Arial:Bold. Jeśli dana czcionka nie znajduje się w systemie, stosuje się zamiast niej czcionkę standardową.
  • WidokWielkość czcionki: określa rozmiar liter. Jeżeli obiekt tekstowy jest tworzony w widoku drzewa, lecz nie jest widoczny żaden tekst, to należy zwiększyć rozmiar tekstu, aż będzie on widoczny.
  • WidokWyrównanie: określa, czy tekst wyrównuje się do lewej, prawej czy do środka punktu bazowego.
  • WidokRozstaw linii: określa odstęp między liniami tekstu.
  • WidokKolor tekstu (Color): definiuje barwę tekstu.

Tworzenie skryptów

Zobacz również stronę: Dokumentacja API generowana automatycznie oraz Podstawy pisania skryptów dla FreeCAD.

Narzędzie Adnotacja wieloliniowa używa metody make_text (introduced in version 0.19) środowiska Rysunek roboczy. Ta metoda zastępuje przestarzałą metodę makeText.

text = make_text(string, placement=None, screen=False)
  • Tworzy obiekt text, w miejscu placement, który może być FreeCAD.Placement, ale także zdefiniowanym przez FreeCAD.Rotation lub FreeCAD.Vector.
  • string to łańcuch, lub lista łańcuchów. Jeżeli jest to lista, to każdy element jest wyświetlany w swoim wierszu.
  • Jeżeli wartość screen ma wartość True, to tekst jest zawsze zwrócony w kierunku obserwacji z kamery, w przeciwnym razie wyrównuje się z osiami sceny i leży na płaszczyźnie XY.

Właściwości widoku text można zmienić poprzez nadpisanie jego właściwości, np. nadpisać ViewObject.FontSize wartością nowego rozmiaru w milimetrach.

Przykład:

import FreeCAD as App
import Draft

doc = App.newDocument()

t1 = "This is a sample text"
p1 = App.Vector(0, 0, 0)

t2 = ["First line", "second line"]
p2 = App.Vector(1000, 1000, 0)

text1 = Draft.make_text(t1, p1)
text2 = Draft.make_text(t2, p2)
text1.ViewObject.FontSize = 200
text2.ViewObject.FontSize = 200

zaxis = App.Vector(0, 0, 1)

t3 = ["Upside", "down"]
p3 = App.Vector(-1000, -500, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 180))
text3 = Draft.make_text(t3, place3)
text3.ViewObject.FontSize = 200

doc.recompute()